/*
 * Class QUEUE [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1588 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1588 [] = {0xFF01,1551,1587,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1588 [] = {0xFF01,1587,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1588 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1588 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1588 [] = {0xFF01,1587,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1588 [] = {0xFF01,1587,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1588 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1588 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1588 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1588 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1588 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1588 [] = {1587,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1588 [] = {0xFF01,1587,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1588 [] = {0xFF01,1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1588 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1588 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1588[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1588), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1588), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1588), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1588), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1588), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1588), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1588), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1588), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1588), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1588), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1588), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1588), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1588), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1588), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8599, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1588), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1588), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1588), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9337, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9338, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9075, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9009, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9010, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9011, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9339, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
};
void Init1588(void)
{
	IDSC(desc_1588, 0, 1587);
	IDSC(desc_1588 + 1, 1, 1587);
	IDSC(desc_1588 + 32, 1134, 1587);
	IDSC(desc_1588 + 41, 1060, 1587);
	IDSC(desc_1588 + 47, 1135, 1587);
	IDSC(desc_1588 + 56, 309, 1587);
	IDSC(desc_1588 + 58, 778, 1587);
	IDSC(desc_1588 + 59, 554, 1587);
	IDSC(desc_1588 + 60, 878, 1587);
}


#ifdef __cplusplus
}
#endif
